FsImageProto.INodeSection.INodeFileOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, interface: INodeFileOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeSection.INodeFileOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeSection.INodeFile`, `FsImageProto.INodeSection.INodeFile.Builder`

Enclosing class:
  FsImageProto.INodeSection

public static interface FsImageProto.INodeSection.INodeFileOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAccessTime()`
  `optional uint64 accessTime = 3;`
  `FsImageProto.INodeSection.AclFeatureProto`
  `getAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`
  `getAclOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto`
  `getBlocks(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `int`
  `getBlocksCount()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto>`
  `getBlocksList()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder`
  `getBlocksOrBuilder(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `List<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder>`
  `getBlocksOrBuilderList()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto`
  `getBlockType()`
  `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
  `int`
  `getErasureCodingPolicyID()`
  `optional uint32 erasureCodingPolicyID = 12;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature`
  `getFileUC()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
  `getFileUCOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `long`
  `getModificationTime()`
  `optional uint64 modificationTime = 2;`
  `long`
  `getPermission()`
  `optional fixed64 permission = 5;`
  `long`
  `getPreferredBlockSize()`
  `optional uint64 preferredBlockSize = 4;`
  `int`
  `getReplication()`
  `optional uint32 replication = 1;`
  `int`
  `getStoragePolicyID()`
  `optional uint32 storagePolicyID = 10;`
  `FsImageProto.INodeSection.XAttrFeatureProto`
  `getXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder`
  `getXAttrsOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `boolean`
  `hasAccessTime()`
  `optional uint64 accessTime = 3;`
  `boolean`
  `hasAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `boolean`
  `hasBlockType()`
  `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
  `boolean`
  `hasErasureCodingPolicyID()`
  `optional uint32 erasureCodingPolicyID = 12;`
  `boolean`
  `hasFileUC()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `boolean`
  `hasModificationTime()`
  `optional uint64 modificationTime = 2;`
  `boolean`
  `hasPermission()`
  `optional fixed64 permission = 5;`
  `boolean`
  `hasPreferredBlockSize()`
  `optional uint64 preferredBlockSize = 4;`
  `boolean`
  `hasReplication()`
  `optional uint32 replication = 1;`
  `boolean`
  `hasStoragePolicyID()`
  `optional uint32 storagePolicyID = 10;`
  `boolean`
  `hasXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasReplication

    boolean hasReplication()
    `optional uint32 replication = 1;`
    Returns:
      Whether the replication field is set.

  - ### getReplication

    int getReplication()
    `optional uint32 replication = 1;`
    Returns:
      The replication.

  - ### hasModificationTime

    boolean hasModificationTime()
    `optional uint64 modificationTime = 2;`
    Returns:
      Whether the modificationTime field is set.

  - ### getModificationTime

    long getModificationTime()
    `optional uint64 modificationTime = 2;`
    Returns:
      The modificationTime.

  - ### hasAccessTime

    boolean hasAccessTime()
    `optional uint64 accessTime = 3;`
    Returns:
      Whether the accessTime field is set.

  - ### getAccessTime

    long getAccessTime()
    `optional uint64 accessTime = 3;`
    Returns:
      The accessTime.

  - ### hasPreferredBlockSize

    boolean hasPreferredBlockSize()
    `optional uint64 preferredBlockSize = 4;`
    Returns:
      Whether the preferredBlockSize field is set.

  - ### getPreferredBlockSize

    long getPreferredBlockSize()
    `optional uint64 preferredBlockSize = 4;`
    Returns:
      The preferredBlockSize.

  - ### hasPermission

    boolean hasPermission()
    `optional fixed64 permission = 5;`
    Returns:
      Whether the permission field is set.

  - ### getPermission

    long getPermission()
    `optional fixed64 permission = 5;`
    Returns:
      The permission.

  - ### getBlocksList

    List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto> getBlocksList()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocks

    org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto getBlocks(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocksCount

    int getBlocksCount()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocksOrBuilderList

    List<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder> getBlocksOrBuilderList()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocksOrBuilder

    org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder getBlocksOrBuilder(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### hasFileUC

    boolean hasFileUC()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
    Returns:
      Whether the fileUC field is set.

  - ### getFileUC

    FsImageProto.INodeSection.FileUnderConstructionFeature getFileUC()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
    Returns:
      The fileUC.

  - ### getFileUCOrBuilder

    FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder getFileUCOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`

  - ### hasAcl

    boolean hasAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
    Returns:
      Whether the acl field is set.

  - ### getAcl

    FsImageProto.INodeSection.AclFeatureProto getAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
    Returns:
      The acl.

  - ### getAclOrBuilder

    FsImageProto.INodeSection.AclFeatureProtoOrBuilder getAclOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`

  - ### hasXAttrs

    boolean hasXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
    Returns:
      Whether the xAttrs field is set.

  - ### getXAttrs

    FsImageProto.INodeSection.XAttrFeatureProto getXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
    Returns:
      The xAttrs.

  - ### getXAttrsOrBuilder

    FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder getXAttrsOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  - ### hasStoragePolicyID

    boolean hasStoragePolicyID()
    `optional uint32 storagePolicyID = 10;`
    Returns:
      Whether the storagePolicyID field is set.

  - ### getStoragePolicyID

    int getStoragePolicyID()
    `optional uint32 storagePolicyID = 10;`
    Returns:
      The storagePolicyID.

  - ### hasBlockType

    boolean hasBlockType()
    `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
    Returns:
      Whether the blockType field is set.

  - ### getBlockType

    org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto getBlockType()
    `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
    Returns:
      The blockType.

  - ### hasErasureCodingPolicyID

    boolean hasErasureCodingPolicyID()
    `optional uint32 erasureCodingPolicyID = 12;`
    Returns:
      Whether the erasureCodingPolicyID field is set.

  - ### getErasureCodingPolicyID

    int getErasureCodingPolicyID()
    `optional uint32 erasureCodingPolicyID = 12;`
    Returns:
      The erasureCodingPolicyID.